{"openapi":"3.0.1","info":{"title":"Media bank","description":"Bluestone MediaBank API\n <b><h1>Deprecated endpoints:</h1></b><table border=\"1px;\"><tr><th style=\"text-align: center; vertical-align: middle;\"><b><h3>Uri</b></h3></th><th><b>Method</b></th><th><b><h3>Since</h3></b></th><th><b><h3>End of life</h3></b></th></tr><tr><td>/assets/{id}</td><td>GET</td><td>2025-10-30</td><td  bgcolor=\"red\"><b>2026-07-30</b></td></tr><tr><td>/assets/search/by-ids</td><td>POST</td><td>2025-10-30</td><td  bgcolor=\"red\"><b>2026-07-30</b></td></tr><tr><td>/assets/delete</td><td>DELETE</td><td>2026-04-03</td><td  bgcolor=\"red\"><b>2027-01-03</b></td></tr></table>","version":"1-core"},"servers":[{"url":"api.test.bluestonepim.com/media-bank"}],"tags":[{"name":"Technical","description":"To get technical information."},{"name":"Labels","description":"Labels management."},{"name":"Organization","description":"To manage organization data."},{"name":"Upload","description":"To start assets upload."},{"name":"Asset attributes","description":"To manage asset's attributes."},{"name":"Media info","description":"To manage assets media info."},{"name":"Assets","description":"To manage PIM assets."},{"name":"Metric Recalculation","description":"Internal endpoint for recalculating quota metrics."}],"paths":{"/technical/version":{"get":{"tags":["Technical"],"summary":"Show service version.","operationId":"presentVersion","responses":{"200":{"description":"Show service version."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}]}},"/healthcheck":{"get":{"tags":["Technical"],"summary":"Health checks.","operationId":"checkStatuses","responses":{"200":{"description":"Return list of checks with healthy status (all are healthy)","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CheckResult"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}]}},"/labels":{"get":{"tags":["Labels"],"summary":"Lists labels.","operationId":"describe","parameters":[{"name":"labelType","in":"query","description":"Media label type to filter by; defaults to CUSTOM when omitted.","schema":{"type":"string","default":"CUSTOM","enum":["CUSTOM","TAG"]}},{"name":"mediaType","in":"query","description":"Assets media type.","schema":{"type":"string","enum":["IMAGE","VIDEO","AUDIO","TEXT","DOCUMENT","OTHER"]}},{"name":"page","in":"query","schema":{"title":"Page to be returned.","minimum":0,"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","schema":{"title":"Number of items to be returned.","maximum":1000,"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DescribeMediaLabelResponse"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]},"post":{"tags":["Labels"],"summary":"Create a custom type of media label.","description":"The created label is always of type CUSTOM; the type cannot be chosen.","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultMediaLabelRequest"}}}},"responses":{"200":{"description":"Media label created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeMediaLabelResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA_LABELS","accessType":"WRITE"}]}},"/labels/type/{type}":{"post":{"tags":["Labels"],"summary":"Create a specified type of media label.","operationId":"createType","parameters":[{"name":"type","in":"path","description":"Internal identifier for specifying label type to create.","required":true,"schema":{"type":"string","enum":["CUSTOM","TAG"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultMediaLabelRequest"}}}},"responses":{"200":{"description":"Media label created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeMediaLabelResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA_LABELS","accessType":"WRITE"}]}},"/labels/{id}":{"get":{"tags":["Labels"],"summary":"Get label with given id.","operationId":"getLabelById","parameters":[{"name":"id","in":"path","description":"Internal identifier for getting a label.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeMediaLabelResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]},"put":{"tags":["Labels"],"summary":"Update a custom type of media label.","operationId":"update","parameters":[{"name":"id","in":"path","description":"Internal identifier for a label to update.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultMediaLabelRequest"}}}},"responses":{"200":{"description":"Media label updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeMediaLabelResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA_LABELS","accessType":"WRITE"}]},"delete":{"tags":["Labels"],"summary":"Delete a custom type of media label.","operationId":"delete","parameters":[{"name":"id","in":"path","description":"Internal identifier for a label to delete.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Media label deleted"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"This response indicates that the request could not be completed due to a conflict with the current state of the target resource. This typically occurs when there are duplicate entries or other data conflicts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA_LABELS","accessType":"WRITE"}]}},"/labels/type/{type}/{id}":{"put":{"tags":["Labels"],"summary":"Update a specified type of media label.","operationId":"updateType","parameters":[{"name":"id","in":"path","description":"Internal identifier for a label to update.","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","description":"Internal identifier for specifying label type to update.","required":true,"schema":{"type":"string","enum":["CUSTOM","TAG"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultMediaLabelRequest"}}}},"responses":{"200":{"description":"Media label updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeMediaLabelResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA_LABELS","accessType":"WRITE"}]},"delete":{"tags":["Labels"],"summary":"Delete a specified type of media label.","operationId":"deleteType","parameters":[{"name":"id","in":"path","description":"Internal identifier for a label to delete.","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","description":"Internal identifier for specifying label type to delete.","required":true,"schema":{"type":"string","enum":["CUSTOM","TAG"]}}],"responses":{"204":{"description":"Media label deleted"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"This response indicates that the request could not be completed due to a conflict with the current state of the target resource. This typically occurs when there are duplicate entries or other data conflicts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA_LABELS","accessType":"WRITE"}]}},"/labels/list":{"post":{"tags":["Labels"],"summary":"List specified type of media labels.","operationId":"list","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMediaLabelRequest"}}}},"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMediaLabelResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/upload/{id}/done":{"post":{"tags":["Upload"],"summary":"Complete asset creation. The asset will be moved to \\assets path.","description":"Second step of the two-step upload: finalizes a draft asset (from POST /upload) once its file has been uploaded, making it visible in the asset library.","operationId":"completeAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to complete creation.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"responses":{"200":{"description":"Asset updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeUploadAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"ADD"}]}},"/upload":{"get":{"tags":["Upload"],"summary":"Lists assets in upload phase for current user.","operationId":"describeAssetUploads","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DescribeUploadAssetResponse"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]},"post":{"tags":["Upload"],"summary":"Start a new asset upload.","description":"First step of the two-step upload: creates a draft asset and returns its id plus an actionUrl (and form parameters) to POST the file to. The asset stays invisible until the file is uploaded and you call POST /upload/{id}/done.","operationId":"createAsset","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUploadAssetRequest"}}}},"responses":{"201":{"description":"Asset created","headers":{"Location":{"description":" Location URI (Uniform Resource Identifier). This field is the URI of the newly created resource.\n","schema":{"type":"string"}},"Resource-Id":{"description":"  Entity ID. The unique ID of the newly created resource.\n","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"ADD"}]}},"/upload/{id}":{"put":{"tags":["Upload"],"summary":"Update the asset's information to be uploaded.","operationId":"updateAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update.","required":true,"schema":{"minLength":1,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUploadAssetRequest"}}}},"responses":{"200":{"description":"Asset updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeUploadAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"ADD"}]},"post":{"tags":["Upload"],"summary":"Create new version for existing asset. The new asset version will not be available for other users until done operation is completed.","operationId":"createVersionAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to create new version.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUploadAssetRequest"}}}},"responses":{"201":{"description":"Asset created","headers":{"Location":{"description":" Location URI (Uniform Resource Identifier). This field is the URI of the newly created resource.\n","schema":{"type":"string"}},"Resource-Id":{"description":"  Entity ID. The unique ID of the newly created resource.\n","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"ADD"}]},"delete":{"tags":["Upload"],"summary":"Cancel asset's creation. Any uploaded file and asset will be removed.","operationId":"deleteAssetUpload","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to cancel creation.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"responses":{"204":{"description":"Upload asset cancelled"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"ADD"}]}},"/assets/attributes/add/by-ids":{"post":{"tags":["Asset attributes"],"summary":"Add attribute to assets. In case of a quota exceeded error, a partial update is possible.","operationId":"addAttributeToAssets","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddAttributeToAssetsByIdsRequest"}}}},"responses":{"204":{"description":"Attribute assigned to assets."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Some assets exceeded the attributes quota. The definition was applied to all other assets successfully. The response body lists the IDs of the assets that exceeded the quota."}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/attributes/by-ids":{"put":{"tags":["Asset attributes"],"summary":"Upsert assets attribute.  In case of a quota exceeded error, a partial update is possible.","operationId":"addAttributeToAssets_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveAttributeToAssetsByIdsRequest"}}}},"responses":{"204":{"description":"Attribute on assets upserted."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Some assets exceeded the attributes quota. The definition was applied to all other assets successfully. The response body lists the IDs of the assets that exceeded the quota."}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]},"post":{"tags":["Asset attributes"],"summary":"Update assets attribute.","operationId":"updateAssetsAttribute","parameters":[{"name":"failOnMissingAttribute","in":"query","description":"Validation flag specifying whether the missing attribute in the asset will result in the request failing.","schema":{"type":"boolean","default":true}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveAttributeToAssetsByIdsRequest"}}}},"responses":{"204":{"description":"Attribute on assets updated."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/attributes/dictionary/append/by-ids":{"post":{"tags":["Asset attributes"],"summary":"Append values to dictionary asset's attribute","operationId":"appendAssetDictionaryAttributeValues","parameters":[{"name":"failOnMissingAttribute","in":"query","description":"Validation flag specifying whether the missing attribute in the asset will result in the request failing.","schema":{"type":"boolean","default":true}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DictionaryAssetAttributeValuesRequest"}}}},"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/attributes/select/append/by-ids":{"post":{"tags":["Asset attributes"],"summary":"Append select/multiselect values to assets.","operationId":"appendSelectValues","parameters":[{"name":"failOnMissingAttribute","in":"query","description":"A flag that determines whether the request will fail if the attribute is missing from the asset. Default is true.","schema":{"type":"boolean","default":true}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppendSelectValuesToAssetsAttributeParams"}}}},"responses":{"204":{"description":"Select attribute value appended to asset."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/attributes/{definitionId}":{"post":{"tags":["Asset attributes"],"summary":"Assign attribute to asset.","description":"Attaches the attribute definition to the asset without setting a value; use the /simple, /select or /dictionary endpoints afterwards to set the value. Fails if the attribute is already assigned to the asset.","operationId":"assignAttributeToAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"definitionId","in":"path","description":"Attribute definition identifier.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Attribute assigned to asset."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"This response indicates that the request could not be completed due to a conflict with the current state of the target resource. This typically occurs when there are duplicate entries or other data conflicts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]},"delete":{"tags":["Asset attributes"],"summary":"Unassign attribute from asset.","operationId":"unassignAttributeFromAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"definitionId","in":"path","description":"Attribute definition identifier.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Attribute unassigned from asset."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/attributes/dictionary/deduct/by-ids":{"post":{"tags":["Asset attributes"],"summary":"Deduct values to dictionary asset's attribute","operationId":"deductAssetDictionaryAttributeValues","parameters":[{"name":"failOnMissingAttribute","in":"query","description":"Validation flag specifying whether the missing attribute in the asset will result in the request failing.","schema":{"type":"boolean","default":true}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DictionaryAssetAttributeValuesRequest"}}}},"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/attributes/select/deduct/by-ids":{"post":{"tags":["Asset attributes"],"summary":"Deduct select/multiselect values from assets.","operationId":"deductSelectValues","parameters":[{"name":"failOnMissingAttribute","in":"query","description":"A flag that determines whether the request will fail if the attribute is missing from the asset. Default is true.","schema":{"type":"boolean","default":true}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeductSelectValuesToAssetsAttributeParams"}}}},"responses":{"204":{"description":"Attribute select value deducted from asset."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/attributes":{"delete":{"tags":["Asset attributes"],"summary":"Unassign attribute from assets.","operationId":"deleteAssetAttributes","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteProductsAttributesBulkRequest"}}}},"responses":{"204":{"description":"Attribute unassigned from asset."},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/attributes":{"get":{"tags":["Asset attributes"],"summary":"Get list of attributes associated to asset.","operationId":"getAssetAttributes","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","schema":{"title":"Page to be returned.","minimum":0,"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","schema":{"title":"Number of items to be returned.","maximum":1000,"minimum":1,"type":"integer","format":"int32","default":100}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListableAssetAttributesResponse"}},"application/full+json":{"schema":{"$ref":"#/components/schemas/ListableAssetAttributesResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/assets/{id}/attributes/{definitionId}/dictionary":{"put":{"tags":["Asset attributes"],"summary":"Set values to dictionary asset's attribute","description":"For a simple attribute use the /simple endpoint; for a select attribute use the /select endpoint.","operationId":"updateAssetDictionaryAttributeValues","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"definitionId","in":"path","description":"Dictionary attribute definition identifier.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDictionaryAssetAttributeValuesRequest"}}}},"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/attributes/{definitionId}/select":{"put":{"tags":["Asset attributes"],"summary":"Set values to select asset's attribute","description":"For a simple attribute use the /simple endpoint; for a dictionary attribute use the /dictionary endpoint.","operationId":"updateAssetSelectAttributeValues","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"definitionId","in":"path","description":"Select attribute definition identifier.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSelectAssetAttributeValuesRequest"}}}},"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/attributes/{definitionId}/simple":{"put":{"tags":["Asset attributes"],"summary":"Set value to simple asset's attribute","description":"For a select attribute use the /select endpoint; for a dictionary attribute use the /dictionary endpoint.","operationId":"updateAssetSimpleAttributeValue","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"definitionId","in":"path","description":"Simple attribute definition identifier.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSimpleAssetAttributeValueRequest"}}}},"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/labels":{"put":{"tags":["Assets"],"summary":"Replace the asset's labels.","description":"Replaces the whole label set — this is not an append. To remove a single label instead, use DELETE /assets/{id}/labels/{labelId}.","operationId":"setLabelsToAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to set the assets labels.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetsLabelsAttributeRequest"}}}},"responses":{"200":{"description":"Asset's labels set to new list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]},"post":{"tags":["Assets"],"summary":"Adds labels to asset's labels.","operationId":"addLabelsToAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to add labels to asset.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAssetsLabelsAttributeRequest"}}}},"responses":{"200":{"description":"Asset's labels added to list of labels","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/labels/by-ids":{"post":{"tags":["Assets"],"summary":"Bulk add assets label.","operationId":"bulkAddAssetsLabels","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkAssetsLabelUpdateRequest"}}}},"responses":{"204":{"description":"Assets label added"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]},"delete":{"tags":["Assets"],"summary":"Bulk delete assets label.","operationId":"bulkDeleteAssetsLabels","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkAssetsLabelUpdateRequest"}}}},"responses":{"204":{"description":"Assets label deleted"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/published":{"put":{"tags":["Assets"],"summary":"Bulk update of asset published flag.","operationId":"bulkUpdateAssetPublished","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkAssetPublishedUpdateRequest"}}}},"responses":{"200":{"description":"Published flag updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkAssetPublishedUpdateResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}":{"get":{"tags":["Assets"],"summary":"[DEPRECATED; EOL 2026-07-30] Describe asset.","description":"This endpoint is deprecated and will be removed soon. Instead, please use these endpoints:  <br/>\n<br/>\nPOST /assets/{id}/views <br/>\n","operationId":"describeAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to describe.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"deprecated":true,"security":[{"oauth2":[]}],"x-bluestone-deprecated-since":"2025.10.30","x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]},"delete":{"tags":["Assets"],"summary":"Mark current asset as deleted.","operationId":"deleteAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to delete.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Access denied to entity"},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"This response indicates that the request could not be completed due to a conflict with the current state of the target resource. This typically occurs when there are duplicate entries or other data conflicts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"DELETE"}]}},"/assets/{id}/versions":{"get":{"tags":["Assets"],"summary":"Describe working asset versions.","operationId":"describeAssetVersions","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to describe.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","schema":{"title":"Page to be returned.","minimum":0,"type":"integer","format":"int32","default":0}},{"name":"pageSize","in":"query","schema":{"title":"Number of items to be returned.","maximum":1000,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListableDescribeMediaVersionAssetResponse"}},"application/full+json":{"schema":{"$ref":"#/components/schemas/ListableDescribeMediaVersionAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/assets/{id}/duplicate":{"post":{"tags":["Assets"],"summary":"Duplicate the asset.","operationId":"duplicateAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"ADD"}]}},"/assets/download":{"post":{"tags":["Assets"],"summary":"Generate presigned download URLs for assets.","description":"Generate temporary download URLs for private assets. The endpoint returns presigned URLs for the original stored file for each requested asset. The URLs are generated when the endpoint is called and can be used by anyone until expiresAt, so they should not be stored as permanent asset URLs.This endpoint downloads the original file only. It does not resize, transform or convert the asset.","operationId":"generateDownloadUrls","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DownloadAssetsRequest"}}}},"responses":{"200":{"description":"Presigned URLs generated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DownloadAssetsResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/assets/{id}/generate-fixed-link":{"put":{"tags":["Assets"],"summary":"Generate fixed link for latest version of asset. Full url follows the scheme: [pms-host]/latest/{url}","operationId":"generateFixedLink","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to generate fixed link.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Asset link generated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedirectionGenerationResult"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/views":{"post":{"tags":["Assets"],"summary":"Retrieve a single asset together with the requested views.","description":"To fetch several assets at once, use POST /assets/views/by-ids.","operationId":"getAssetViewsById","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to describe.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetViewsRequest"}}}},"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetViewResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/assets/views/by-ids":{"post":{"tags":["Assets"],"summary":"Retrieve multiple assets together with the requested views.","description":"To fetch a single asset, use POST /assets/{id}/views.","operationId":"listAssetViewsByIds","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetsViewsByIdsRequest"}}}},"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetViewListResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/assets/search/by-ids":{"post":{"tags":["Assets"],"summary":"[DEPRECATED; EOL 2026-07-30] Describe working assets. Search enabled by assetIds with paging.","description":"This endpoint is deprecated and will be removed soon. Instead, please use these endpoints:  <br/>\n<br/>\nPOST /assets/views/by-ids <br/>\n","operationId":"listAssetsByIds","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetsByIdsSearchRequest"}}}},"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetListResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"deprecated":true,"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}],"x-bluestone-deprecated-since":"2025.10.30"}},"/assets/search/by-numbers":{"post":{"tags":["Assets"],"summary":"Describe working assets. Search enabled with query parameters.","operationId":"listAssetsByNumbers","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetsByNumbersRequest"}}}},"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetPaginatedResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/assets/cursor/all":{"post":{"tags":["Assets"],"summary":"List working asset using cursor.","operationId":"listWorkingAssetsWithCursor","parameters":[{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetCursorRequest"}}}},"responses":{"200":{"description":"Request processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkingAssetCursorResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"READ"}]}},"/assets/delete/by-ids":{"post":{"tags":["Assets"],"summary":"Bulk delete assets by IDs.","operationId":"removeAssetsByIds","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkDeleteAssetsByIdsRequest"}}}},"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"DELETE"}]}},"/assets/{id}/labels/{labelId}":{"delete":{"tags":["Assets"],"summary":"Removes given label from the asset's labels.","description":"Removes only this one label; the asset's other labels are kept. To replace the whole set at once, use PUT /assets/{id}/labels.","operationId":"removeLabelFromAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"labelId","in":"path","description":"Internal identifier for a label.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Label removed from the asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/delete":{"delete":{"tags":["Assets"],"summary":"[DEPRECATED; EOL 2027-01-03] Bulk delete operation for list of assets.","operationId":"removeListOfAssets","parameters":[{"name":"ids","in":"query","description":"List of asset ids to be removed.","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Operation finished with list of responses specific for particular asset.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BatchOperationApiResponse"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"deprecated":true,"security":[{"oauth2":[]}],"x-bluestone-deprecated-since":"2026-04-03","x-bluestone-permission":[{"module":"MEDIA","accessType":"DELETE"}]}},"/assets/{id}/versions/{versionId}/revert":{"post":{"tags":["Assets"],"summary":"Revert version of asset.","operationId":"revertAsset","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset.","required":true,"schema":{"type":"string"}},{"name":"versionId","in":"path","description":"Internal identifier for a version.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"responses":{"204":{"description":"Request processed"},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Access denied to entity"},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/alpha-channel":{"put":{"tags":["Assets"],"summary":"Update asset alpha channel flag.","operationId":"updateAssetAlphaChannel","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update asset alpha channel flag.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetAttributeRequestBoolean"}}}},"responses":{"200":{"description":"Asset attribute updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/clipping-path":{"put":{"tags":["Assets"],"summary":"Update asset clipping path.","operationId":"updateAssetClippingPath","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update asset clipping path.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetAttributeRequestBoolean"}}}},"responses":{"200":{"description":"Asset attribute updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/description":{"put":{"tags":["Assets"],"summary":"Update asset description.","operationId":"updateAssetDescription","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update asset description.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetAttributeRequestString"}}}},"responses":{"200":{"description":"Asset attribute updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/internal":{"put":{"tags":["Assets"],"summary":"Update asset internal flag.","operationId":"updateAssetInternal","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update asset internal flag.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetAttributeRequestBoolean"}}}},"responses":{"200":{"description":"Asset attribute updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"This response indicates that the request could not be completed due to a conflict with the current state of the target resource. This typically occurs when there are duplicate entries or other data conflicts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA_INTERNAL","accessType":"WRITE"}]}},"/assets/{id}/name":{"put":{"tags":["Assets"],"summary":"Update asset name.","operationId":"updateAssetName","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update asset name.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetAttributeRequestString"}}}},"responses":{"200":{"description":"Asset attribute updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/number":{"put":{"tags":["Assets"],"summary":"Update asset number.","operationId":"updateAssetNumber","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update asset number.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetAttributeRequestString"}}}},"responses":{"200":{"description":"Asset attribute updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"This response indicates that the request could not be completed due to a conflict with the current state of the target resource. This typically occurs when there are duplicate entries or other data conflicts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}},"/assets/{id}/published":{"put":{"tags":["Assets"],"summary":"Update asset published flag.","operationId":"updateAssetPublished","parameters":[{"name":"id","in":"path","description":"Internal identifier for an asset to update asset published flag.","required":true,"schema":{"type":"string"}},{"name":"context","in":"header","description":"Specifies the context in which to operate. If omitted, the default context `en` is used.\n\nIn Bluestone PIM, the context is generally synonymous with the language setting. The context determines how product information is tailored and presented based on language or other local specifications.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** The default context is identified by the ID `\"en\"`. IDs for additional contexts begin with a lowercase `\"L\"`, **not** with the digit `\"1\"`, followed by a number. This naming convention helps distinguish between default and custom contexts within Bluestone PIM.","schema":{"type":"string"}},{"name":"context-fallback","in":"header","description":"Specifies whether to enable the fallback mechanism for the context. If omitted, the default value `true` will be used. When set to `true`, the system will provide a default translation or relevant information if the requested context's specific translation is missing.\n\nFor more detailed information on how context relates to language settings in Bluestone PIM, refer to the [Languages and Context documentation](https://help.bluestonepim.com/languages-and-context).\n\n**Note:** Setting the `context-fallback` parameter to `false` disables the fallback mechanism. In this configuration, if a translation or specific context information is not available, the system will not provide an alternative or default content. This ensures that only content that matches the exact context ID requested is returned, potentially leading to cases where no content is available if the specific translation is missing.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetAttributeRequestBoolean"}}}},"responses":{"200":{"description":"Asset attribute updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DescribeWorkingAssetResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"This response indicates that the requested resource could not be found on the server. It typically occurs when no resource matches the requested URI, or the resource identifier used in the request does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"This response indicates that the request could not be completed due to a conflict with the current state of the target resource. This typically occurs when there are duplicate entries or other data conflicts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"oauth2":[]}],"x-bluestone-permission":[{"module":"MEDIA","accessType":"UPDATE"}]}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"status":{"title":"Error status code.","type":"integer","format":"int32"},"error":{"title":"General error description.","type":"string"},"errorDetails":{"title":"List of errors details.","type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}},"requestId":{"title":"Request ID used for logging.","type":"string"},"timestamp":{"title":"Error timestamp.","type":"integer","format":"int64"},"quotaLimitExceededDetails":{"title":"Additional entity id list related to error","type":"array","items":{"$ref":"#/components/schemas/QuotaLimitExceededDetails"}}}},"ErrorDetails":{"type":"object","properties":{"message":{"title":"Error message.","type":"string"},"field":{"title":"Error related field.","type":"string"},"rejectedValue":{"title":"Invalid value causing error.","type":"string"}}},"QuotaLimitExceededDetails":{"type":"object","properties":{"quota":{"title":"Quota name.","type":"string"},"message":{"title":"Quota limit message.","type":"string"},"limit":{"title":"Quota limit.","type":"integer","format":"int32"},"entityId":{"title":"Id of the entity that caused the quota limit to be exceeded.","type":"string","nullable":true},"entityType":{"title":"Type of the entity that caused the quota limit to be exceeded.","type":"string","nullable":true}}},"CheckResult":{"required":["checkName","healthy"],"type":"object","properties":{"healthy":{"title":"Check service status.","type":"boolean"},"checkName":{"title":"Check service name.","type":"string"}}},"DescribeMediaLabelResponse":{"required":["id","name"],"type":"object","properties":{"id":{"title":"Media label id.","type":"string"},"labelType":{"title":"Media label type.","type":"string","enum":["CUSTOM","TAG"]},"name":{"title":"Media label name.","type":"string"},"mediaType":{"title":"Media type.","type":"string","enum":["IMAGE","VIDEO","AUDIO","TEXT","DOCUMENT","OTHER"]}}},"DefaultMediaLabelRequest":{"required":["name"],"type":"object","properties":{"name":{"title":"Name of label.","minLength":1,"type":"string"},"mediaType":{"title":"Media type.","typ
[...]
